Subject: bug#62994: [PATCH 0/3] Support styled underlines on tty Emacs frames

From: Eli Zaretskii <[email-masked]>
Date: Fri, 21 Apr 2023 18:52:43 +0300

> Cc: Mohsin Kaleem <[email-masked]>
> From: [email-masked]
> Date: Fri, 21 Apr 2023 15:34:45 +0100
> 
> From: Mohsin Kaleem <[email-masked]>
> 
> Modern terminals (such as kitty) support setting the style of an
> underline with the escape sequence exposed in the Smulx termcap.
> This allows for (among others) wavy underlines on terminals.
> These terminals also support setting the color of these underlines
> using a separate escape sequence that to the best of my knowledge
> is not exposed as a termcap but has been adopted by other terminal
> supporting editors like neovim.

Thanks.

Please note up front that we must wait for the completion of your
legal paperwork before we can accept significant contributions (such
as this one) from you.

I will send a few comments to each of the patches separately.